const express = require('express')
const Security = require('../../index')
const security = Security({
  CacheControl: 'public, max-age=9999999999',
  Pragma: false,
  Expires: 'Wed, 21 Oct 2090 07:28:00 GMT',
  ContentSecurityPolicy: false,
  XXSSProtection: false,
  XDNSPrefetchControl: 'on',
  ExpectCT: false,
  XFrameOptions: false,
  StrictTransportSecurity: false,
  XDownloadOptions: false,
  XContentTypeOptions: false,
  XPermittedCrossDomainPolicies: false,
  ReferrerPolicy: 'unsafe-url',
  allowedMethods: ['HEAD', 'GET', 'OPTIONS'],
  onlyDefinedRoutes: false
})

const app = express()

app.use(security.setHeaders)

app.get('/', function (req, res) {
  res.send('Hello World!')
})

app.listen(3000, function () {
  console.log('Unsave Example app listening on port 3000!')
})